Package rdkit :: Package VLib :: Package NodeLib :: Module SmartsRemover

[hide private]
[frames] | no frames]

# Module SmartsRemover

source code

Classes | [hide private]

| SmartsRemover transforms molecules by removing atoms matching smarts patterns

Functions | [hide private]

_test() | source code

Variables | [hide private]

| biggerTest = ``...``
| __test__ = `{'bigger': biggerTest}`

Imports: RDConfig, six, sys, os, types, Chem, TransformNode

Variables Details | [hide private]

### biggerTest

Value:

      """
      >>> smis = ['CCOC','CCO.Cl','CC(=O)[O-].[Na+]','OCC','C[N+](C)(C)C.[Cl
      -]']
      >>> mols = [Chem.MolFromSmiles(x) for x in smis]
      >>> from rdkit.VLib.Supply import SupplyNode
      >>> suppl = SupplyNode(contents=mols)
      >>> ms = [x for x in suppl]
      >>> len(ms)
      ...